FAQ   Search   Memberlist  
Profile    Log in to check your private messages    Register    Log in
Compiling Gnash questions...

 
Post new topic   Reply to topic    BLAG Forum Index -> support
View previous topic :: View next topic  
Author Message
Blarney
PostPosted: Wed Jun 25, 2008 6:39 am    Post subject: Compiling Gnash questions... Reply with quote

As Gnash 0.8.2 no longer works with Youtube I thought I'd compile the latest version 0.8.3 as I read on Gnewsense that this did. First I removed the current version via synaptic and the plugin and then I cd to source directory.

I made myself root (Should I do this before 'make install'?) and did ./configure where I got a load of errors with missing dependencies. So I discovered which were needed and did:-

apt-get update
apt-get install libxml2-devel libjpeg-devel gtk2-devel pango-devel glib2-devel atk-devel gstreamer-devel agg-devel boot-devel

After these installed I did :-

./configure --enable-gui=gtk

make

make install

After a very long time... It compiled and seemed to install. I tried Youtube but it complained that the plugin was missing (Do I have to compile this too?) So I did :-

apt-get install gnash-plugin

But this brought in the old gnash 0.8.2 as well?? I seem to have one in /usr/local/bin (0.8.3) and one in /usr/bin

When I run Gnash -V it tells me that its 0.8.3. Anyhow I tried Youtube and it still doesn't work sadly...

Two questions:- Did I do it right and how do I put it back to how it was before I installed? Can I just delete the gnash files in /usr/local/bin when the next version of Gnash comes out or overwrite them?

Cheers for any clues!
Blarney

Blarney
PostPosted: Wed Jun 25, 2008 10:35 pm    Post subject: Reply with quote

SUCCESS!!

I was using the wrong plugin...

Al I had to do was copy the right plugin to /usr/lib/mozilla/plugins/ and Youtube works fine now. Albeit with slightly scratchy sound and lack of controls.

If you look in the source directory its /gnash-0.8.3/plugin/.libs/libgnashplugin.so

You just need to copy that over to /usr/lib/mozilla/plugins/ and bobs your uncle
Dunno why it didn't install it along with the compiled 0.8.3...

Cheers,
Blarney

Display posts from previous:   
Post new topic   Reply to topic    BLAG Forum Index -> support
Page 1 of 1

Protected by Anti-Spam ACP